Jump to content

[1.9.x, 1.10.x] KEI - Kerbin Environmental Institute


Recommended Posts

New release, 1.2.9.6

  • Version bump for KSP 1.7.1
On 6/8/2019 at 10:12 AM, Quoniam Kerman said:

Where is the output log btw?

KEI seems not compatible with Breaking Ground DLC.

It works perfectly until I unlock the first BG surface experiments and then when I click on KEI icon, it pops a Null Ref Exp...

This update should fix your problem, please let me know if it is still happening

Link to post
Share on other sites
47 minutes ago, linuxgurugamer said:

New release, 1.2.9.6

  • Version bump for KSP 1.7.1

This update should fix your problem, please let me know if it is still happening

Just updated to 1.2.9.6, KEI is still throwing an exception, although as far as I can tell it's harmless. Having the surface experiments unlocked didn't cause the exception though (so if there was one related to them, it seems you fixed it), I only started seeing it when I unlocked a scanning arm. The log file indicates that they are the problem, as the exception is always preceded with the line "[R&D]: No Experiment definition found with id ROCScience", and ROCScience is the id of ModuleScienceExperiment for all 3 of the scanning arms. Adding ROCScience to the ExcluldedExperiments.cfg file made the exception go away, although I don't know if that's how you want to fix that or if there's a better way.

Here's my output log, if you'd like to look at it yourself. I hope google drive is acceptable for sharing it? https://drive.google.com/open?id=10dkWhAt0Mu8DFy7TW5gmziM31NuIeSPQ

Edited by TBenz
Link to post
Share on other sites

Downloaded it off SpaceDock and copied them into the GameData folder, replacing the old files. It wasn't CKAN, if that's what you are asking, but I also didn't do a clean wipe of the old install of KEI first... If that matters, I can test again tomorrow, but I figure you'll have it sorted one way or anther before I get to that. 

Link to post
Share on other sites
8 hours ago, TBenz said:

Having the surface experiments unlocked didn't cause the exception though (so if there was one related to them, it seems you fixed it)

I was able to confirm, and also realized what I did wrong (yes, I am human).  I used the F12 menu to get all technology and was able to replicate.  When I went in a second time to test after the compile, I didn't realize that the save file had not been saved with all the technology.

Working on it now

It looks like Squad has a special case for the robotic arms;  all the experiments which can be performed by the robotic arms are prefixed with ROCScience_

So the ROCScience itself is undefined.  For now, I'll just exclude it, since there are only two experiments on Kerbin and they probably aren't space center experiments based on the the name.

The error is harmless, in this case it should be treated as a warning.

Edited by linuxgurugamer
Link to post
Share on other sites
  • 1 month later...
  • 2 months later...
  • 3 weeks later...

Not sure what's wrong with Kubi and Quoniam's installs, but KEI works fine for me in both 1.7.3 and 1.8.0. I'm waiting for [x] science before going any further with a new career game in 1.8.0, but I got past the KEI stuff just fine. (Added note: wonder if they have current versions of the required dependencies installed.)

 

Edited by rmaine
Link to post
Share on other sites
  • 2 weeks later...
  • 1 month later...
  • 2 months later...
15 minutes ago, DfA-DoM said:

Hi,

There seem to have a glitch in ckan definitions for KEI:

The mod is listed with v1.9.0 as Max KSP Version (as Engine Lighting Relit does), but in contrary it isn't selectable in KSP 1.9 (which is the case for ELR).

 

Looks to me like that's because of the dependencies. KEI depends on both ToolBar Controller and ClickThrough Blocker, which are also listed as ok for KSP 1.9.0, but they in turn depend on that zeroMiniAVC thing, which is only listed as 1.8.1.

Link to post
Share on other sites
2 hours ago, rmaine said:

Looks to me like that's because of the dependencies. KEI depends on both ToolBar Controller and ClickThrough Blocker, which are also listed as ok for KSP 1.9.0, but they in turn depend on that zeroMiniAVC thing, which is only listed as 1.8.1.

I just told Spacedock that ZeroMiniAVC is compatible with 1.9, it should be ok soon

Link to post
Share on other sites
  • 7 months later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...